//  ********************
//
//  SavedQueries.sl
// 
//  Created by R.Worsley  
//  rlworsley@gmail.com
//
//  ********************
//  Revision Log
//  8/5/2020 Created
//

Use DFClient.pkg
Use cDbCJGridPromptList.pkg
Use cDbCJGridColumn.pkg
Use cSQDbCJGridPromptList.pkg
Use Windows.pkg

Use SavedQueries.dd

Object oSqlsaved_sl is a dbModalPanel
    Set Location to 5 5
    Set Size to 134 302
    Set Label To "Saved Query Lookup List"
    Set Border_Style to Border_Thick
    Set Minimize_Icon to False

    Object oSavedQueries_DD is a SavedQueries_DataDictionary
        Procedure OnConstrain
            If (pbViewUser(oApplication)) Begin 
                Constrain SavedQueries.owner eq gsLoggedUserLogin
            End
        End_Procedure
    End_Object 

    Set Main_DD To oSavedQueries_DD
    Set Server  To oSavedQueries_DD

    Object oSelList is a cSQDbCJGridPromptList
        Set Size to 105 292
        Set Location to 5 5
        Set peAnchors to anAll
        Set psLayoutSection to "oSavedQueries_sl_oSelList"
        Set Ordering to 1
        Set peUpdateMode to umPromptNonInvoking

        Object oSavedQueries_description is a cDbCJGridColumn
            Entry_Item SavedQueries.description
            Set piWidth to 262
            Set psCaption to "description"
        End_Object 

        Object oSavedQueries_owner is a cDbCJGridColumn
            Entry_Item SavedQueries.owner
            Set piWidth to 126
            Set psCaption to "owner"
        End_Object 


    End_Object 

    Object oOk_bn is a Button
        Set Label to "&Ok"
        Set Location to 115 139
        Set peAnchors to anBottomRight

        Procedure OnClick
            Send OK of oSelList
        End_Procedure

    End_Object 

    Object oCancel_bn is a Button
        Set Label to "&Cancel"
        Set Location to 115 193
        Set peAnchors to anBottomRight

        Procedure OnClick
            Send Clear to oSavedQueries_DD
            Send Cancel of oSelList
        End_Procedure

    End_Object 

    Object oSearch_bn is a Button
        Set Label to "&Search..."
        Set Location to 115 247
        Set peAnchors to anBottomRight

        Procedure OnClick
            Send Search of oSelList
        End_Procedure

    End_Object 

    Procedure doSetUpList
        Send Rebuild_Constraints to oSavedQueries_DD
        Send MoveToFirstRow to oSelList
        Set peUpdateMode of oSelList to umPromptValue
    End_Procedure

    On_Key Key_Alt+Key_O Send KeyAction of oOk_bn
    On_Key Key_Alt+Key_C Send KeyAction of oCancel_bn
    On_Key Key_Alt+Key_S Send KeyAction of oSearch_bn


End_Object 
